

/* Atualizando o estilo .main */
.main {
    flex: 1;
     Continua preenchendo o espaço restante 
    padding-right: 15px;
    padding-left: 80px;
    background-color: var(--color-gray-50);
    box-sizing: border-box;
    position: relative;
}

.content-wrapper {
    position: relative;
    /* Para que o menu-sidebar se posicione em relação a este contêiner */
    height: 100vh;
    background-color: var(--color-gray-50);
    overflow-y: auto;
}




.dropdown-btn.hidden-content::before {
    content: "";
}

.loginBox {
    width: 500px;
    padding-left: 20px;
    padding-right: 20px;
    height: fit-content;
    background-color: White;
    border: solid 1px #EAECEE;
    border-radius: 20px;
    box-shadow: rgba(0, 0, 0, 0.15) 0px 15px 25px, rgba(0, 0, 0, 0.05) 0px 5px 10px;
    transition: 1s ease-in-out;
    position: absolute;
    top: 25%;
}

.divlogo {
    border-bottom: solid 1px #EAECEE;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    height: 120px;
    padding-top: 25px;
}

@media screen and (max-width: 1200px) {
    .container {
        /* margin-top: 20%;*/
    }
}

.divloginarea {
    padding-left: 20px;
    padding-top: 35px;
    align-items: center;
}

@media screen and (max-width: 800px) {
    .container {
        margin-top: 25%;
        margin-left: 10%;
    }
}


/*FORM FIELD LABEL QUE ANDA*/

.form-field {
    position: relative;
    /*height: 50px;*/
}

    .form-field label {
        position: absolute;
        left: 46px;
        top: 8px;
        transition: all 0.3s ease;
        z-index: 0;
        font-size: 16px;
        font-weight: 300;
        color: #999;
    }

    .form-field input {
        background-color: transparent;
        padding: 8px;
        border: 1px solid #ddd;
        border-radius: 5px;
    }

        .form-field input:focus + label, input:not(:placeholder-shown) ~ label {
            top: -20px;
            left: 0;
            font-size: 12px;
        }



@media print {
    @page {
        size: A4 !important;
        white-space: nowrap;
        /* Defina a margem esquerda desejada aqui */
    }
}


.card {
    border-radius: 10px !important;
}

.card-hover:hover {
    transform: translateY(-5px);
    color: #2e1730;
}

.card-hover {
    transition: 0.3s;
    cursor: pointer;
}

.sair-btn-popup {
    background-color: #333333;
    border-radius: 5px;
    width: 50px;
    height: 20px;
    text-align: center;
    justify-content: center;
    font-size: 12px;
}

    .sair-btn-popup:first-child {
        pointer-events: all;
    }

.cover {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px;
    background-color: #f5f5f5;
    min-height: 100vh;
}


.colunas {
    display: flex;
    gap: 20px;
    padding: 20px;
    flex-wrap: wrap;
}

.coluna1, .coluna2 {
    flex: 1;
    min-width: 45%;
}

.iframe-container {
    width: 100%;
    border: 1px solid #ddd;
    border-radius: 0.5rem;
    overflow: hidden;
}

    .iframe-container iframe {
        width: 100%;
        height: 600px;
        border: none;
        border-radius: 0.5rem;
    }

.tituloMeio {
    padding-right: 0;
    padding-left: 14px;
    border-radius: 0;
    padding-top: 9.5rem;
    margin-bottom: 35px;
}

    .tituloMeio .display-4 {
        background-color: #383d7d;
        border-radius: 10px;
        padding-left: 10px;
        padding-right: 10px;
        color: white;
        display: inline-block;
        /* Esta linha permite que o fundo se ajuste ao tamanho do texto */
    }



/* Atualizando o estilo .main */
/*.main {
    padding-right: 15px;
    padding-left: 80px;
    background-color: var(--color-gray-50);
    box-sizing: border-box;
    position: relative;
     Propriedades adicionadas para a barra de rolagem 
    overflow-y: auto;  Habilita a rolagem vertical se necessário 
    max-height: 100vh;  Define a altura máxima para 100% da altura da janela de visualização 
}*/
/* MOBILE - TELAS PEQUENAS - SEM SIDEBAR */
@media screen and (max-width: 1100px) {
    .tituloMeio {
        padding-top: 120px;
        padding-left: 0%;
    }

    .espacoGraficos {
        justify-content: center;
    }
}


@media (max-width: 767.98px) {
    .main {
        padding-right: 10px;
        padding-left: 80px;
    }
}
.btn-main,
.btn-alt {
    font-size: 16px;
    /* Ajuste conforme necessário */
}

.btn-main {
    background-color: var(--color-purple) !important;
    color: var(--color-white) !important;
    border: none;
    padding: 10px 20px;
    border-radius: 4px;
    transition: background-color 0.3s ease, transform 0.2s ease, box-shadow 0.2s ease;
}

    .btn-main:hover {
        background-color: var(--color-purple-hover);
        color: var(--color-white);
        text-decoration: none;
        transform: scale(1.05);
        /* Efeito de "levantamento" */
        box-shadow: 0px 2px 10px rgba(0, 0, 0, 0.1);
        /* Sombra leve */
    }

.btn-alt {
    background-color: #d6d3d1;
    color: var(--color-text);
    border: none;
    padding: 10px 20px;
    border-radius: 4px;
    transition: background-color 0.3s ease, transform 0.2s ease, box-shadow 0.2s ease;
}

    .btn-alt:hover {
        background-color: #e7e5e4;
        color: var(--color-text);
        text-decoration: none;
        transform: scale(1.05);
        /* Efeito de "levantamento" */
        box-shadow: 0px 2px 10px rgba(0, 0, 0, 0.1);
        /* Sombra leve */
    }

    /* Estilos adicionais para ícones dentro dos botões */
    .btn-main i,
    .btn-alt i {
        margin-right: 8px;
    }


/*#buscaControl {
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.35s ease;*/ /* Adicione esta linha para a transição */
/*}

    #buscaControl.show {
        max-height: 1000px;*/ /* Ou qualquer valor adequado para a altura máxima */
/*}*/
